Bug 445961 - system hangs on disabling quotas during reboot
system hangs on disabling quotas during reboot
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: initscripts (Show other bugs)
11
i686 Linux
low Severity high
: ---
: ---
Assigned To: Bill Nottingham
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-10 12:15 EDT by G.Wolfe Woodbury
Modified: 2014-03-16 23:14 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-04-27 10:36:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
strace of hung quotaoff (2.30 KB, text/plain)
2008-11-14 08:54 EST, Denys Vlasenko
no flags Details

  None (edit)
Description G.Wolfe Woodbury 2008-05-10 12:15:01 EDT
Description of problem:
  during a restart of F9-RC1 the system hangs at disabling quotas
  waited 15 minutes before hitting reset

Version-Release number of selected component (if applicable):
  quota-3.15-6.fc9

How reproducible:
  always

Steps to Reproduce:
1.
2.
3.
  
Actual results:
  system hang more than 15 minutes

Expected results:
  normal shutdown

Additional info:
Comment 1 Bug Zapper 2008-05-14 06:57:59 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 G.Wolfe Woodbury 2008-05-19 07:21:27 EDT
Yes, it is an F9 problem

I have moved it to a high severity as it keeps systems from rebooting cleanly.
Comment 3 Ondrej Vasik 2008-05-19 07:38:31 EDT
Could you please provide some additional informations? Are those quota mounts
local or remote(e.g. NFS)? How was the Fedora9(or F9-RC1) installed? On clean
system or by update from F8? Thanks in advance for those informations.
Comment 4 G.Wolfe Woodbury 2008-05-20 16:07:21 EDT
Clean install from local NFS mirror
Quotas are NOT enabled anywhere on the system

The system just hangs
The problems is specific to ix86  x86_64 works correctly

Workaround: yum erase quota
      to remove the quotaon command from the system
Comment 5 Denys Vlasenko 2008-11-14 06:24:23 EST
Hi,

I experience the same thing. If I reboot my machine soon after I booted it, the last line I see is:

Turning off quotas:

and it sits there forever. Apparently, it is this line in /etc/rc.d/init.d/halt:

[ -x /sbin/quotaoff ] && action $"Turning off quotas: " /sbin/quotaoff -aug

Question: why do we bother to do it at shutdown AT ALL? Can we just remove this line? If not, why?
Comment 6 Denys Vlasenko 2008-11-14 06:26:13 EST
Reopening.
Comment 7 Ondrej Vasik 2008-11-14 06:32:08 EST
Reassigning to initscripts as the possible change should be there.
Comment 8 Denys Vlasenko 2008-11-14 08:54:01 EST
Created attachment 323575 [details]
strace of hung quotaoff
Comment 9 Bill Nottingham 2008-11-14 11:08:32 EST
Is /mnt/mirror an nfs mount in your case?
Comment 10 Denys Vlasenko 2008-12-18 20:13:51 EST
Yes.

I know that quotaoff is blocked on an I/O op in NFS mount which is just dead.

I don't see how that affects the question "why do we bother to do it at shutdown AT ALL? Can we just remove this line? If not, why?"
Comment 11 Bug Zapper 2009-06-09 20:42:59 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Ondrej Vasik 2009-06-10 04:49:44 EDT
Or if we can't remove that line, we can probably use timeout utility from coreutils (recently added, available only in F-11/rawhide versions of coreutils). Running quotaoff -aug with 2-5s timeout could make everyone happy - as it should be enough to turn off quotas unless there is something really broken (like unreachable NFS mount).
Comment 13 Bug Zapper 2010-04-27 08:02:30 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 14 G.Wolfe Woodbury 2010-04-27 10:36:38 EDT
Closing bug as it was resolved long since.

Note You need to log in before you can comment on or make changes to this bug.